library(lsa)
true_location = read.table("~/SpatialBenchmarking/SpatialLocationData/Dataset4/Locations_seqfish.txt", header = TRUE)
seurat = read.table("~/SpatialBenchmarking/SpatialLocationData/Dataset4/Seurat_pseudo_location.txt", header = TRUE)
tangram = read.csv("~/SpatialBenchmarking/SpatialLocationData/Dataset4/Tangram_pseudo_location.csv", row.names = 1)
novo = read.csv("~/SpatialBenchmarking/SpatialLocationData/Dataset4/novoSpaRc_pseudo_location.csv", row.names = 1)
true_location = as.matrix(true_location)
seurat = as.matrix(seurat)
tangram = as.matrix(tangram)
novo = as.matrix(novo)
res = sapply(1:dim(true_location)[1], function(x){
  cosine(true_location[x,], seurat[x,])
})
mean(res)

res2 = sapply(1:dim(true_location)[1], function(x){
  cosine(true_location[x,], tangram[x,])
})
mean(res2)

res3 = sapply(1:dim(true_location)[1], function(x){
  cosine(true_location[x,], novo[x,])
})
mean(res3)

scDesign3_res <- readRDS("~/SpatialBenchmarking/SpatialLocationData/Dataset4/scDesign3_res.rds")
bic = sapply(scDesign3_res, function(x){
  x$model_bic[1]
})
bic
cos =  readRDS("~/SpatialBenchmarking/SpatialLocationData/Dataset4/cosine_similarity.rds")
cs = apply(cos, 2, mean)
scDesign3_perturb_res <- readRDS("~/SpatialBenchmarking/SpatialLocationData/Dataset4/scDesign3_perturb_res.rds")

bic2 = sapply(scDesign3_perturb_res, function(x){
  x$model_aic[1]
})
bic2
cos2 =  readRDS("~/SpatialBenchmarking/SpatialLocationData/Dataset4/cosine_similarity_perturb.rds")
cs2 = apply(cos2, 2, mean)

bic_combined = c(bic[1:2],bic2)
cs_combined = c(cs[1:2],cs2)
plot(cs_combined,bic_combined)
